composition.placement.set
[deprecated] Upsert the store-scoped placement of an extension hook (target override, order, enabled). Absent = manifest default.
- Scope:
composition.write - System: no
- Reachable from:
POST /v1/commands/composition.placement.set(tenant credential) · MCP toolcomposition.placement.set· SDKclient.call('composition.placement.set', …) - Events:
composition.updated
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "component": { "minLength": 1, "type": "string" }, "enabled": { "type": "boolean" }, "extension_id": { "minLength": 1, "type": "string" }, "position": { "maximum": 9007199254740991, "minimum": -9007199254740991, "type": "integer" }, "store": { "minLength": 1, "type": "string" }, "target_override": { "anyOf": [ { "pattern": "^(storefront|admin):[a-z0-9_.]+$", "type": "string" }, { "type": "null" } ] } }, "required": [ "store", "extension_id", "component" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "placement_id": { "type": "string" } }, "required": [ "placement_id" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)